## org.apache.lucene.search
Interface FieldCache.DoubleParser

All Superinterfaces:
  FieldCache.Parser, java.io.Serializable

All Known Subinterfaces:
  ExtendedFieldCache.DoubleParser

Enclosing interface:
  FieldCache

    public static interface FieldCache.DoubleParser

extends FieldCache.Parser

Interface to parse doubles from document fields.

See Also:
  `FieldCache.getDoubles(IndexReader, String, FieldCache.DoubleParser)`

Method Summary
`double` `parseDouble(java.lang.String string)` Return an long representation of this field's value.

Method Detail

### parseDouble

    double parseDouble(java.lang.String string)

  Return an long representation of this field's value.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.